/comp
GET /geographies
GET /geographiesList available geographies. The code property should be used with the estimate endpoint's msa or counties parameter.
Code Examples
curl --request GET \
--url https://api.lightcast.io/comp/geographies \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
[
{
"type": "County",
"code": "48999",
"name": "[Texas, county not reported]",
"abbr": "TX",
"counties": [
"48999"
]
},
{
"type": "County",
"code": "6111",
"name": "Ventura",
"abbr": "CA",
"counties": [
"6111"
]
},
{
"type": "County",
"code": "27151",
"name": "Swift",
"abbr": "MN",
"counties": [
"27151"
]
},
{
"type": "County",
"code": "19055",
"name": "Delaware",
"abbr": "IA",
"counties": [
"19055"
]
},
{
"type": "County",
"code": "29067",
"name": "Douglas",
"abbr": "MO",
"counties": [
"29067"
]
}
]GET /datarun
GET /datarunReturns the name of the datarun the estimates are modeled from.
Code Examples
curl --request GET \
--url https://api.lightcast.io/comp/datarun \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
2025.1GET /soc_version
GET /soc_versionReturns the SOC version in use by the model. The specified classification should be used with the socs parameter on any endpoint that supports it.
Code Examples
curl --request GET \
--url https://api.lightcast.io/comp/soc_version \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
soc_2021
